//
// This help file was automatically generated from intprb_crudeld.sci using help_from_sci().
// PLEASE DO NOT EDIT
//
mode(1)
//
// Demo of intprb_crudeld.sci
//

// A basic example
function r = sumfunction (m,n,x)
// sum of n variables
// Expectation = 0, Variance = 1
v = n/12
e = n/2
r = sqrt(1/v) * (sum(x,"c") - e)
endfunction
n = 10;
// The exact answer is 0.
integr = intprb_crudeld ( sumfunction , n )
halt()   // Press return to continue
 
// Customize the Low Discrepancy sequence
dim_num = 10;
ldseq = "haltonf";
// The exact answer is 0.
integr = intprb_crudeld ( sumfunction , dim_num , ldseq )
halt()   // Press return to continue
 
// Customize the bounds
// integral_10^30 sqrt(x)  = 88.46266043324404
// E(f) = integral_10^30 sqrt(x)  * 1/20 = 4.423133021662201
// V(f) = integral_10^30 (sqrt(x) - 4.423133021662201 )^2 * 1/20 = 0.4358942726814049
function r = sqrtfunction (m,n,x)
r = sqrt(x)
endfunction
n = 1;
callf = [];
ldseq = [];
bounds = [10 30];
// The exact answer is 88.46266043324404.
integr = intprb_crudeld ( sqrtfunction , n , callf , ldseq , bounds )
halt()   // Press return to continue
 
// Customize the low Discrepancy sequence.
// Uses our own generator (here, a basic random number generator).
// Caution : this is a wrong use of the function, which expects
// a Low Discrepancy sequence.
// Customize ldseq with a home-made Halton sequence
// restricted to dimension 10.
function result = vdc ( i , basis )
current = i
ib = 1.0 / basis
result = 0.0
while (current>0)
digit = modulo ( current , basis )
current = int ( current / basis )
result = result + digit * ib
ib = ib / basis
end
endfunction
function next = haltonsequence ( m , n )
next = zeros ( m , n )
primematrix = [2,3,5,7,11,13,17,19,23,29]
for k = 1 : m
for i = 1 : n
basis = primematrix ( i )
next(k,i) = vdc ( k , basis )
end
end
endfunction
dim_num = 3;
callf = 100;
integr = intprb_crudeld ( sumfunction , dim_num , haltonsequence , callf )
halt()   // Press return to continue
 
// Customize ldseq, which has additionnal parameters
function next = haltonsequence2 ( m , n , skip , leap , prmat )
next = zeros ( m , n )
k = skip + 1
index = 0
for index = 1 : m
for i = 1 : n
basis = prmat ( i )
next(index,i) = vdc ( k , basis )
end
k = k + leap
end
endfunction
dim_num = 3;
primematrix = [2,3,5,7,11,13,17,19,23,29];
skip = 10;
// Kocis and Whiten recommend leap = 409.
leap = 409;
ldseq = list(haltonsequence2,skip,leap,primematrix);
callf = 100;
integr = intprb_crudeld ( sumfunction , dim_num , ldseq , callf )
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "intprb_crudeld.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );
