//
// This help file was automatically generated from intprb_crudemc.sci using help_from_sci().
// PLEASE DO NOT EDIT
//
mode(1)
//
// Demo of intprb_crudemc.sci
//

// A basic example
function r = sumfunction (m,n,x)
// sum of n variables
// Expectation = 0, Variance = 1
v = n/12
e = n/2
r = sqrt(1/v) * (sum(x,"c") - e)
endfunction
grand("setsd",123456);
n = 10;
// Exact integral is 0.
[ integr , accur , varf ] = intprb_crudemc ( sumfunction , n )
halt()   // Press return to continue
 
// Customize the bounds
// integral_10^30 sqrt(x)  = 88.46266043324404
// E(f) = integral_10^30 sqrt(x)  * 1/20 = 4.423133021662201
// V(f) = integral_10^30 (sqrt(x) - 4.423133021662201 )^2 * 1/20 = 0.4358942726814049
function r = sqrtfunction (m,n,x)
r = sqrt(x)
endfunction
grand("setsd",123456);
n = 1;
callf = [];
lowb = 10;
uppb = 30;
bounds = [lowb uppb];
// Exact integral is 88.46266043324404.
[ integr , accur , varf ] = intprb_crudemc ( sqrtfunction , n , callf , bounds )
halt()   // Press return to continue
 
// Customize the random number generator
function r = shrand ( m , n )
global shrageseed
r = zeros(m,n)
for k = 1 : m
for i = 1 : n
[ value , shrageseed ] = intprb_shragerandom ( shrageseed );
r(k,i) = value
end
end
endfunction
global shrageseed;
shrageseed = 123456;
n = 3;
callf = 100;
bounds = [];
[ integr , accur , varf ] = intprb_crudemc ( sumfunction , n , callf , bounds , shrand )
halt()   // Press return to continue
 
// Customize the random number generator :
// configure a random number generator which has optionnal arguments.
function u = mygen ( m , n , seed , gentype )
grand ( "setgen" , gentype )
grand ( "setsd" , seed )
u = grand ( m , n , "def" )
endfunction
n = 3;
callf = 1000;
bounds = [];
randgen = list(mygen,123456,"urand");
[ integr , accur , varf ] = intprb_crudemc ( sumfunction , n , callf , bounds , randgen )
halt()   // Press return to continue
 
// Customize the function :
// use a function which has additionnal parameters.
function r = sumfunction2 (m,n,x,e,v)
r = sqrt(1/v) * (sum(x,"c") - e)
endfunction
n = 3;
func = list(sumfunction2,n/2,n/12);
[ integr , accur , varf ] = intprb_crudemc ( sumfunction , n )
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "intprb_crudemc.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );
