//
// This help file was automatically generated from intprb_montecarlo.sci using help_from_sci().
// PLEASE DO NOT EDIT
//
mode(1)
//
// Demo of intprb_montecarlo.sci
//

// A basic example
function r = sumfunction (m,n,x)
// sum of n variables
// Expectation = 0, Variance = 1
v = n/12
e = n/2
r = sqrt(1/v) * (sum(x,"c") - e)
endfunction
// Test with default settings
grand("setsd",123456);
dim_num = 10;
[ integr , accur , varf , evalf , iter ] = intprb_montecarlo ( sumfunction , dim_num )
halt()   // Press return to continue
 
// Test with customized maximum number of evaluations
grand("setsd",123456);
dim_num = 10;
maxevalf = 1.e4;
minevalf = 1.e3;
evalf = [maxevalf minevalf];
[ integr , accur , varf , evalf , iter ] = intprb_montecarlo ( sumfunction , dim_num , evalf )
halt()   // Press return to continue
 
// Test verbose
grand("setsd",123456);
dim_num = 10;
bounds = [];
evalf = [];
tol = [];
randgen = [];
integr = intprb_montecarlo ( sumfunction , dim_num , evalf , bounds , tol , randgen , %t )
halt()   // Press return to continue
 
// Test tolrel, tolabs
grand("setsd",123456);
dim_num = 10;
bounds = [];
evalf = [1.e5 1.e3];
tol = [1.e-3 1.e-2];
[ integr , accur , varf , evalf , iter ] = intprb_montecarlo ( sumfunction , dim_num , evalf , ..
bounds , tol )
halt()   // Press return to continue
 
// Customize the bounds
// integral_10^30 sqrt(x)  = 88.46266043324404
// E(f) = integral_10^30 sqrt(x)  * 1/20 = 4.423133021662201
// V(f) = integral_10^30 (sqrt(x) - 4.423133021662201 )^2 * 1/20 = 0.4358942726814049
function r = sqrtfunction (m,n,x)
r = sqrt(x)
endfunction
grand("setsd",123456);
dim_num = 1;
evalf = [];
bounds = [10 30];
[ integr , accur ] = intprb_montecarlo ( sqrtfunction , dim_num , evalf , bounds )
halt()   // Press return to continue
 
// Customize the random number generator
function r = shrand ( m , n )
global shrageseed
r = zeros(m,n)
for k = 1 : m
for i = 1 : n
[ value , shrageseed ] = intprb_shragerandom ( shrageseed );
r(k,i) = value
end
end
endfunction
global shrageseed;
shrageseed = 123456;
dim_num = 3;
evalf = [1000 1000];
bounds = [];
tol = [];
[ integr , accur ] = intprb_montecarlo ( sumfunction , dim_num , evalf , bounds , tol , shrand )
halt()   // Press return to continue
 
// Customize the random number generator :
// configure a random number generator which has optionnal arguments.
function u = mygen ( m , n , seed , gentype )
grand ( "setgen" , gentype )
grand ( "setsd" , seed )
u = grand ( m , n , "def" )
endfunction
backgen = grand("getgen");
dim_num = 3;
evalf = [1000 1000];
bounds = [];
tol = [];
randgen = list(mygen,123456,"urand");
[ integr , accur ] = intprb_montecarlo ( sumfunction , dim_num , evalf , bounds , tol , randgen )
// Configure back the default generator.
grand("setgen",backgen);
halt()   // Press return to continue
 
// Customize the function :
// use a function which has additionnal parameters.
function r = sumfunction2 (m,n,x,e,v)
r = sqrt(1/v) * (sum(x,"c") - e)
endfunction
dim_num = 3;
func = list(sumfunction2,dim_num/2,dim_num/12);
[ integr , accur , varf , evalf , iter ] = intprb_montecarlo ( func , dim_num )
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
//
// Load this script into the editor
//
filename = "intprb_montecarlo.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );
