// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 2007 - John Burkardt
//
// This file must be used under the terms of the GNU LGPL license.





// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->


//
// assert_close --
//   Returns 1 if the two real matrices computed and expected are close,
//   i.e. if the relative distance between computed and expected is lesser than epsilon.
// Arguments
//   computed, expected : the two matrices to compare
//   epsilon : a small number
//
function flag = assert_close ( computed, expected, epsilon )
  if expected==0.0 then
    shift = norm(computed-expected);
  else
    shift = norm(computed-expected)/norm(expected);
  end
  if shift < epsilon then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction
//
// assert_equal --
//   Returns 1 if the two real matrices computed and expected are equal.
// Arguments
//   computed, expected : the two matrices to compare
//   epsilon : a small number
//
function flag = assert_equal ( computed , expected )
  if computed==expected then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction
////////////////////////////////////////

  //    n = 2, m1 = 1, m2 = 3
  //
  //    InPUT        OUTPUT
  //    -------      -------
  //    rnk   x      rnk   x
  //    ----  ---    -----  ---
  //    0     * *    1      1 1
  //    1     1 1    2      1 2
  //    2     1 2    3      1 3
  //    3     1 3    4      2 1
  //    4     2 1    5      2 2
  //    5     2 2    6      2 3
  //    6     2 3    7      3 1
  //    7     3 1    8      3 2
  //    8     3 2    9      3 3
  //    9     3 3    0      0 0


n = 2;
m1 = 1;
m2 = 3;
rnk = 0;
ic = [];
computed = [];
for i = 1 : 12
  [ rnk, ic ] = intprb_tuplenext ( m1, m2, n, rnk, ic );
  computed(i,1:n+1) = [rnk ic'];
end
expected = [
  1,1,1;  
  2,1,2;
  3,1,3;
  4,2,1;
  5,2,2;
  6,2,3;
  7,3,1;
  8,3,2;
  9,3,3;
  0,0,0;
  1,1,1;
  2,1,2
  ];
assert_equal ( computed , expected );

